Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.runtime
Class SwiftOtdLocation

    java.lang.Object
      com.stc.swift.runtime.SwiftOtdLocation

All Implemented Interfaces:
  com.stc.otd.runtime.OtdLocation

    public class SwiftOtdLocation

extends java.lang.Object
implements com.stc.otd.runtime.OtdLocation

The OtdLocation information provides a cookie interface for location information about data inside an OTD. This may refer to a combination of input data location (e.g. byte offset or line/column indication), node instance location in its tree (symbolic or numeric path expression), original metadata references, and OTD context information (e.g. the OTD instance name). This interface is currently [2003-09-05] under development.

Version:
  $Revision: 1.2 $

Constructor Summary
`SwiftOtdLocation(java.lang.String info)`

Method Summary
`com.stc.otd.runtime.OtdLocation` | `from()` Gives the enclosing location context, if any.
`java.lang.Object` | `getProperty(java.lang.String name)` Gets a property by name.
`java.lang.String` | `text()` Converts the information to a printable string, suitable for inclusion in a basic textual error message.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftOtdLocation

    public SwiftOtdLocation(java.lang.String info)

Method Detail

### text

    public java.lang.String text()

  Converts the information to a printable string, suitable for inclusion in a basic textual error message.

  Specified by:
    `text` in interface `com.stc.otd.runtime.OtdLocation`
  Returns:
    a text string

### from

    public com.stc.otd.runtime.OtdLocation from()

  Gives the enclosing location context, if any. For embedded parsing, this should return the information on the node containing the embedded section.

  Specified by:
    `from` in interface `com.stc.otd.runtime.OtdLocation`
  Returns:
    the location, or null if none

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Gets a property by name. This is a generic extension mechanism.

  Parameters:
    `name` - the property name
  Returns:
    the value, or null if not known

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.